
%define name	ftplib
%define version	3.1
%define rel	6

%define major	3
%define libname	%mklibname ftp %{major}
%define develname %mklibname ftp -d

Summary:	FTP Library Routines
Name:		%name
Version:	%version
Release:	%mkrel %rel
License:	LGPLv2+
URL:		http://nbpfaus.net/~pfau/ftplib/
Source:		http://www.nbpfaus.net/~pfau/ftplib/%name-%version-src.tar.bz2
Patch0:		http://nbpfaus.net/~pfau/ftplib/ftplib-3.1-1.patch
BuildRoot:	%{_tmppath}/%{name}-root
Group:		System/Libraries

%description
This package implements a callable interface to FTP.  The FTP
protocol is specified in RFC 959.

%package -n qftp
Summary:	Command line driven ftp file transfer program
Group:		Networking/File transfer

%description -n qftp
qftp performs directories or file transfers using the ftp protocol
based on the command it was invoked with and command line arguments.

%package -n %libname
Summary:	Shared library of ftplib
Group:		System/Libraries
Provides:	%name = %version-%release

%description -n %libname
This package implements a callable interface to FTP.  The FTP
protocol is specified in RFC 959.

This package contains the library needed to run programs dynamically
linked with ftplib.

%package -n %develname
Summary:	Headers and static library for ftplib development
Group:		Development/C
Requires:	%libname = %version
Provides:	libftp-devel = %version-%release
Provides:	ftp-devel = %version-%release
Obsoletes:	%{_lib}ftp3-devel

%description -n %develname
This package implements a callable interface to FTP.  The FTP
protocol is specified in RFC 959.

This package contains the headers and static library that
programmers will need to develop applications which will use
ftplib.

%prep
%setup -q
%patch0 -p3
sed -i 's,/usr/local/bin,$(DESTDIR)%{_bindir},' linux/Makefile
sed -i 's,/usr/local/lib,$(DESTDIR)%{_libdir},' linux/Makefile
sed -i 's,/usr/local/include,$(DESTDIR)%{_includedir},' linux/Makefile

%build
cd linux
# LDFLAGS is not used for the library build
%make DEBUG="%optflags" CC="gcc %ldflags"

%install
rm -rf %{buildroot}
cd linux
install -d -m755 %{buildroot}%{_bindir}
install -d -m755 %{buildroot}%{_libdir}
install -d -m755 %{buildroot}%{_includedir}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files -n %libname
%defattr(-,root,root)
%doc NOTES
%{_libdir}/*.so.%{major}*

%files -n %develname
%defattr(-,root,root)
%doc CHANGES README.ftplib_v3.1 TODO NOTES
%{_libdir}/*.so
%{_includedir}/%{name}.h

%files -n qftp
%defattr(-,root,root)
%doc README.qftp
%{_bindir}/ftp*
%{_bindir}/qftp






%changelog

* Fri Jan 11 2013 umeabot <umeabot> 3.1-6.mga3
+ Revision: 350976
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 15 2011 anssi <anssi> 3.1-5.mga1
+ Revision: 19830
- remove old scripts
- clarify license
- use ldflags
- imported package ftplib

